<html>
<head>
<title>Ogre::TerrainGroup::RayResult Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainGroup.html">TerrainGroup</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html">RayResult</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainGroup::RayResult Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainGroup::RayResult" -->
<p>Result from a terrain ray intersection with the terrain group.  
 <a href="structOgre_1_1TerrainGroup_1_1RayResult.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TerrainGroup_1_1RayResult-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a39e75d877662e2a244999fdd64e853a7">RayResult</a> (bool _hit, <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *_terrain, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;_pos)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a951a4fd9e895ed4037426217e572f949">hit</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether an intersection occurred.  <a href="#a951a4fd9e895ed4037426217e572f949"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#ad195afe5791ad7c8779636bc392bd02f">terrain</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Which terrain instance was hit, if any.  <a href="#ad195afe5791ad7c8779636bc392bd02f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a298fe7a58f8ab623739287b108371519">position</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Position at which the intersection occurred.  <a href="#a298fe7a58f8ab623739287b108371519"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Result from a terrain ray intersection with the terrain group. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00376">376</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a39e75d877662e2a244999fdd64e853a7"></a><!-- doxytag: member="Ogre::TerrainGroup::RayResult::RayResult" ref="a39e75d877662e2a244999fdd64e853a7" args="(bool _hit, Terrain *_terrain, const Vector3 &amp;_pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a39e75d877662e2a244999fdd64e853a7">Ogre::TerrainGroup::RayResult::RayResult</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>_hit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>_terrain</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>_pos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00385">385</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a951a4fd9e895ed4037426217e572f949"></a><!-- doxytag: member="Ogre::TerrainGroup::RayResult::hit" ref="a951a4fd9e895ed4037426217e572f949" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a951a4fd9e895ed4037426217e572f949">Ogre::TerrainGroup::RayResult::hit</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether an intersection occurred. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00379">379</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<a class="anchor" id="a298fe7a58f8ab623739287b108371519"></a><!-- doxytag: member="Ogre::TerrainGroup::RayResult::position" ref="a298fe7a58f8ab623739287b108371519" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#a298fe7a58f8ab623739287b108371519">Ogre::TerrainGroup::RayResult::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Position at which the intersection occurred. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00383">383</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad195afe5791ad7c8779636bc392bd02f"></a><!-- doxytag: member="Ogre::TerrainGroup::RayResult::terrain" ref="ad195afe5791ad7c8779636bc392bd02f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>* <a class="el" href="structOgre_1_1TerrainGroup_1_1RayResult.html#ad195afe5791ad7c8779636bc392bd02f">Ogre::TerrainGroup::RayResult::terrain</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Which terrain instance was hit, if any. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00381">381</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
